- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
libetonyek::IWORKFoElement Class Reference

`#include <IWORKFoElement.h>`

Inheritance diagram for libetonyek::IWORKFoElement:

## Public Member Functions
| IWORKFoElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual void | attribute (int name, const char *value)

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKFoElement::IWORKFoElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

void libetonyek::IWORKFoElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| private virtual

The documentation for this class was generated from the following files:

- IWORKFoElement.h
- IWORKFoElement.cpp